package com.jpsoft.shinestar.modules.workflow.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.workflow.entity.TemplateDepartment;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface TemplateDepartmentService {
	TemplateDepartment get(String id);
	boolean exist(String id);
	int insert(TemplateDepartment model);
	int update(TemplateDepartment model);
	int delete(String id);
	List<TemplateDepartment> list();
	List<TemplateDepartment> findByTemplateId(String templateId);
	Page<TemplateDepartment> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    List<TemplateDepartment> findByFormIdDepartmentId(String formId, String companyId,String personRoleId);

	TemplateDepartment findByFormId(String formId);
}